Participants
Update Participant
PUT
/
api
/
public
/
v1
/
participants
/
{participant_id}
Update Participant
curl --request PUT \
--url https://api.userintuition.ai/api/public/v1/participants/{participant_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com"
}
'import requests
url = "https://api.userintuition.ai/api/public/v1/participants/{participant_id}"
payload = { "email": "jsmith@example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com'})
};
fetch('https://api.userintuition.ai/api/public/v1/participants/{participant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"study_id": "<string>",
"email": "<string>",
"reward_sent": true,
"reward_sent_at": "2023-11-07T05:31:56Z",
"invite_sent_at": "2023-11-07T05:31:56Z",
"invite_created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Authenticate with an API key (prefixed ui_sk_) or a JWT token from the dashboard.
Path Parameters
Body
application/json
Response
Successful Response
A participant invited directly by the customer (BYOP).
Panel recruiting is represented by the panel endpoints, not by synthetic participant records on this resource.
The study this participant belongs to
When this participant's invitation email was sent
When this participant invitation was created
Was this page helpful?
⌘I
Update Participant

